FTGLPixmapFont.h File Reference
`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures

class | FTPixmapFont
| FTPixmapFont is a specialisation of the FTFont class for handling Pixmap (Grey Scale) fonts. More...

## Macros

#define | FTGLPixmapFont FTPixmapFont

## Functions

FTGLfont * | ftglCreatePixmapFont (const char *file)
| Create a specialised FTGLfont object for handling pixmap (grey scale) fonts.
FTGLfont * | ftglCreatePixmapFontFromMem (const unsigned char *bytes, size_t len)
| Create a specialised FTGLfont object for handling pixmap (grey scale) fonts from a buffer in memory.

## Macro Definition Documentation

## FTGLPixmapFont

#define FTGLPixmapFont FTPixmapFont

Definition at line 84 of file FTGLPixmapFont.h.

## Function Documentation

## ftglCreatePixmapFont()

FTGLfont * ftglCreatePixmapFont | ( | const char * | file | ) |

Create a specialised FTGLfont object for handling pixmap (grey scale) fonts.

Parameters

  file | The font file name.

Returns
  An FTGLfont* object.

See also
  FTGLfont

## ftglCreatePixmapFontFromMem()

FTGLfont * ftglCreatePixmapFontFromMem | ( | const unsigned char * | bytes,
|  | size_t | len
| ) |  |

Create a specialised FTGLfont object for handling pixmap (grey scale) fonts from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters

  bytes | the in-memory buffer
  len | the length of the buffer in bytes

Returns
  An FTGLfont* object.